## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseDdlBuilderWrapper

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlBuilder
              org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlBuilderWrapper

All Implemented Interfaces:
  ISybaseDdlConstants

    public class SybaseDdlBuilderWrapper

extends SybaseDdlBuilder

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, SP_RENAME, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Method Summary
`java.lang.String[]` `addForeignKey(ForeignKey foreignKey, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `addUniqueConstraint(UniqueConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createAuthorizationId(AuthorizationIdentifier authId, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createCatalogs(Catalog catalog, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createColumn(Column col, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createDatabase(Database database, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createEvent(Event event, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createProcedure(Procedure procedure, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createUserDefinedFunction(UserDefinedFunction function, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createUserDefinedType(UserDefinedType udt, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String[]` `createView(ViewTable table, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax)`
`java.lang.String` `dropAuthorizationId(AuthorizationIdentifier authId, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropCheckConstraint(CheckConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropForeignKey(ForeignKey foreignKey, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropUniqueConstraint(UniqueConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropUserDefinedType(UserDefinedType udt, boolean quoteIdentifiers, boolean qualifyNames)`
`static SybaseDdlBuilder` `getInstance()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlBuilder
`addCheckConstraint, createIndex, createTable, createTSQLTrigger, dropCatalog, dropColumn, dropDatabase, dropEvent, dropFunction, dropProcedure, dropView, getDatabaseIdentifier, getIndexKeyColumns, getName, getTriggerBody, getTriggerEvents, getTSQLParameter, getTSQLParameter, grantPrivilege, revokePrivilege`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropIndex, dropSchema, dropTable, dropTableConstraint, dropTrigger, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SybaseDdlBuilder getInstance()

### addForeignKey

    public java.lang.String[] addForeignKey(ForeignKey foreignKey,
                                            boolean quoteIdentifiers,
                                            boolean qualifyNames,
                                            boolean fullSyntax)

  Specified by:
    `addForeignKey` in class `SybaseDdlBuilder`

### addUniqueConstraint

    public java.lang.String[] addUniqueConstraint(UniqueConstraint constraint,
                                                  boolean quoteIdentifiers,
                                                  boolean qualifyNames,
                                                  boolean fullSyntax)

  Specified by:
    `addUniqueConstraint` in class `SybaseDdlBuilder`

### createAuthorizationId

    public java.lang.String[] createAuthorizationId(AuthorizationIdentifier authId,
                                                    boolean quoteIdentifiers,
                                                    boolean qualifyNames,
                                                    boolean fullSyntax)

  Specified by:
    `createAuthorizationId` in class `SybaseDdlBuilder`

### createCatalogs

    public java.lang.String[] createCatalogs(Catalog catalog,
                                             boolean quoteIdentifiers,
                                             boolean qualifyNames,
                                             boolean fullSyntax)

  Specified by:
    `createCatalogs` in class `SybaseDdlBuilder`

### createColumn

    public java.lang.String[] createColumn(Column col,
                                           boolean quoteIdentifiers,
                                           boolean qualifyNames,
                                           boolean fullSyntax)

  Specified by:
    `createColumn` in class `SybaseDdlBuilder`

### createDatabase

    public java.lang.String[] createDatabase(Database database,
                                             boolean quoteIdentifiers,
                                             boolean qualifyNames,
                                             boolean fullSyntax)

  Specified by:
    `createDatabase` in class `SybaseDdlBuilder`

### createEvent

    public java.lang.String[] createEvent(Event event,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames,
                                          boolean fullSyntax)

  Specified by:
    `createEvent` in class `SybaseDdlBuilder`

### createProcedure

    public java.lang.String[] createProcedure(Procedure procedure,
                                              boolean quoteIdentifiers,
                                              boolean qualifyNames,
                                              boolean fullSyntax)

  Specified by:
    `createProcedure` in class `SybaseDdlBuilder`

### createTrigger

    public java.lang.String[] createTrigger(Trigger trigger,
                                            boolean quoteIdentifiers,
                                            boolean qualifyNames,
                                            boolean fullSyntax)

  Specified by:
    `createTrigger` in class `SybaseDdlBuilder`

### createUserDefinedFunction

    public java.lang.String[] createUserDefinedFunction(UserDefinedFunction function,
                                                        boolean quoteIdentifiers,
                                                        boolean qualifyNames,
                                                        boolean fullSyntax)

  Specified by:
    `createUserDefinedFunction` in class `SybaseDdlBuilder`

### createUserDefinedType

    public java.lang.String[] createUserDefinedType(UserDefinedType udt,
                                                    boolean quoteIdentifiers,
                                                    boolean qualifyNames,
                                                    boolean fullSyntax)

  Specified by:
    `createUserDefinedType` in class `SybaseDdlBuilder`

### createView

    public java.lang.String[] createView(ViewTable table,
                                         boolean quoteIdentifiers,
                                         boolean qualifyNames,
                                         boolean fullSyntax)

  Specified by:
    `createView` in class `SybaseDdlBuilder`

### dropAuthorizationId

    public java.lang.String dropAuthorizationId(AuthorizationIdentifier authId,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

  Specified by:
    `dropAuthorizationId` in class `SybaseDdlBuilder`

### dropCheckConstraint

    public java.lang.String dropCheckConstraint(CheckConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

  Specified by:
    `dropCheckConstraint` in class `SybaseDdlBuilder`

### dropForeignKey

    public java.lang.String dropForeignKey(ForeignKey foreignKey,
                                           boolean quoteIdentifiers,
                                           boolean qualifyNames)

  Specified by:
    `dropForeignKey` in class `SybaseDdlBuilder`

### dropUniqueConstraint

    public java.lang.String dropUniqueConstraint(UniqueConstraint constraint,
                                                 boolean quoteIdentifiers,
                                                 boolean qualifyNames)

  Specified by:
    `dropUniqueConstraint` in class `SybaseDdlBuilder`

### dropUserDefinedType

    public java.lang.String dropUserDefinedType(UserDefinedType udt,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

  Specified by:
    `dropUserDefinedType` in class `SybaseDdlBuilder`